
%% behav data

clear all global
close all

%% init obob_ownft
%addpath('C:/Users/Nina/Documents/MATLAB/obob_ownft');
addpath('C:\Users\Nina\Documents\MATLAB\obob_ownft');
cfg = [];
obob_init_ft(cfg);

%% to do

data_folder = 'C:\Users\Nina\Documents\MATLAB\masterthesis_data';
folder_cluster = 'Z:\staff\nsuess\sel_att\attentional_lapses\03_hitsvsmiss';

mod = 'vis';

subject_id = {
'19891222GBHL';...
'19940218HIRE';...
'19960301BIWI';...
'19930507CROT';...
'19940613SLHR';...
'19800616MRGU';...
'19870319WLGL';...
'19930819CRBO';...
'19650207CRLN';...
'19701003KTML';...
'19891207USRI';...
%'19920807GEKW';...
'19961118BRSH';...
'19930630MNSU';...
'19890516MRNM';...
'19930202JHHM';...
'19920928PTWI';...
'19923001MRTO';...
'19911209IGWL';...
'19921111BEHC';...
'19971215TEHR';...
'19980208EIOL';...
};


for i = 1:numel(subject_id)
data_hitsvsmiss{i} = fullfile(folder_cluster, sprintf('%s_hitsvsmiss_%s.mat', char(subject_id(i)), char(mod)));
end

% loading aud data
for i = 1:numel(subject_id)
data_tmp{i} = load(data_hitsvsmiss{i});
end

hitsvsmiss = cell2mat(data_tmp);

%% save 
savename = 'hitvsmiss_vis.mat';
save(savename, 'hitsvsmiss');